Bug 541902 - Review Request: almanah - Application for keeping an encrypted diary
Review Request: almanah - Application for keeping an encrypted diary
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-27 09:16 EST by Andreas Osowski
Modified: 2010-02-21 07:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-21 07:09:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cassmodiah: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Osowski 2009-11-27 09:16:08 EST
Spec URL: http://th0br0.fedorapeople.org/almanah-0.6.1/almanah.spec
SRPM URL: http://th0br0.fedorapeople.org/almanah-0.6.1/almanah-0.6.1-1.fc12.src.rpm

Description: 
Almanah Diary is a small application to ease the management of an
encrypted personal diary.
It's got good editing abilities, including text formatting and printing.
Evolution tasks and appointments will be listed to ease the creation
of diary entries related to them. At the same time, you can create diary
entries using multiple events.

This package was already reviewed and pushed but
given that it's orphaned and the last update was more than 3 months ago,
I had to create a new review request according to the guidelines.
https://bugzilla.redhat.com/show_bug.cgi?id=447751

I removed the smp flags from the make command as they gave me problems when building.

Rpmlint remains silent
Comment 1 Rahul Sundaram 2009-11-27 16:44:27 EST
Well, I assume you are not interested in getting a review from me since you explicitly removed me. I am not sure you get to arbitrarily pick a reviewer however. Whatever works.
Comment 2 Simon 2009-12-02 13:47:49 EST
OK - MUST: $ rpmlint /var/lib/mock/fedora-12-ppc/result/*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK - MUST: Named according to the Package Naming Guidelines

OK - MUST: Spec file name matches the base package %{name}

OK - MUST: Package meets the Packaging Guidelines

OK - MUST: Fedora approved license and meets the Licensing Guidelines.

OK - MUST: License field in spec file doesn't matches the actual license.

OK - MUST: License files included in %doc

OK - MUST: Spec is in American English

OK - MUST: Spec is legible

OK - MUST: Sources match the upstream source by MD5
cca92b59002fa9e0515287f3df38cb1c

OK - MUST: Successfully compiles and builds into binary rpms on ppc

N/A - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch.

OK - MUST: All build dependencies are listed in BuildRequires.

OK - MUST: Handles locales properly with %find_lang

N/A - MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun.

N/A - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review.

OK - MUST: Owns all directories that it creates

OK - MUST: No duplicate files in the %files listing

OK - MUST: Permissions on files are set properly, includes %defattr(...)

OK - MUST: Package has a %clean section, which contains rm -rf %{buildroot}.

OK - MUST: Consistently uses macros

OK - MUST: Package contains code, or permissable content

N/A - MUST: Large documentation files should go in a -doc subpackage

OK - MUST: Files included as %doc do not affect the runtime of the application

N/A - MUST: Header files must be in a -devel package

N/A - MUST: Static libraries must be in a -static package

N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig'.

N/A - MUST: If a package contains library files with a suffix, then library
files that end in .so must go in a -devel package.
Doesn't make sense for this package

N/A - MUST: devel packages must require the base package using a fully
versioned dependency

OK - MUST: The package does not contain any .la libtool archives.

N/A - MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.

OK - MUST: Package does not own files or directories already owned by other
packages.

OK - MUST: At the beginning of %install, the package runs rm -rf %{buildroot}.

OK - MUST: All filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.

N/A - SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.

OK - SHOULD: Builds in mock.

OK - SHOULD: Compiles and builds into binary rpms on all supported
architectures.

N/A - SHOULD: Functions as described.

FIX - SHOULD: Scriptlets are used, those scriptlets must be sane.
update icon cache scriplet is missing
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

N/A - SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.

N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg

N/A - SHOULD: If the package has file dependencies outside of /etc, /bin,
/sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the
file instead of the file itself.


Other items:
OK - latest stable version

OK - SourceURL valid

OK - Compiler flags ok

OK - Debuginfo complete



Just some cosmetical things, before you include it in cvs

1.)
%{_datadir}/%{name}
please suggest that this is a directory and attach a / behind NAME

2.)
please try expand your description lines to 80 characters or one word less..


APPROVED
Comment 3 Andreas Osowski 2009-12-04 17:16:07 EST
Package Change Request
======================
Package Name: almanah
Owners: th0br0
Updated Description: Application for keeping an encrypted diary

Reason: Packager is unresponsive, see #529969
Comment 4 Kevin Fenzi 2009-12-06 18:18:37 EST
You should be able to just take ownership now at: 
https://admin.fedoraproject.org/pkgdb/packages/name/almanah

Make sure you look for and reassign any outstanding bugs already on the package.
Comment 5 Andreas Osowski 2009-12-07 00:43:19 EST
Unfortunately, the package is retired.
I'll ask in #fedora-devel whether someone can unretire the package.
Comment 6 Kevin Fenzi 2009-12-07 00:50:09 EST
Sorry, the interface just showed orphan when I looked. ;( 

I have 'unretired' it, since I can't find any reason it's retired rather than orphaned. 

You should be able to take it over now.
Comment 7 Andreas Osowski 2009-12-07 02:31:17 EST
Thanks,
Taking over was successful.
Comment 8 Fedora Update System 2009-12-08 08:45:07 EST
almanah-0.6.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/almanah-0.6.1-2.fc12
Comment 9 Fedora Update System 2009-12-08 10:58:32 EST
almanah-0.6.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/almanah-0.6.1-3.fc11
Comment 10 Fedora Update System 2009-12-09 23:22:44 EST
almanah-0.6.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update almanah'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13003
Comment 11 Fedora Update System 2009-12-09 23:27:31 EST
almanah-0.6.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update almanah'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13020

Note You need to log in before you can comment on or make changes to this bug.